Skip to main content
POST
File a project into a group, or into none

Authorizations

Authorization
string
header
required

An Agent credential (nits_…), or a person token (nitp_…) on a deployment that enables them. GET /api/v1/session names the principal a credential proves.

Path Parameters

id
string
required

The Project's projectId.

Required string length: 1 - 200

Body

application/json
groupId
string | null
required
Required string length: 1 - 200
idempotencyKey
string
required
Required string length: 1 - 200

Response

File a project into a group, or into none

groupId
string | null
required
Required string length: 1 - 200
projectId
string
required
Minimum string length: 1